package Email::MIME::MobileJP::Creator::AltEnc;
{
  $Email::MIME::MobileJP::Creator::AltEnc::VERSION = '0.132482';
}
# ABSTRACT: Email::MIME::MobileJP::Creator::from($k,$v)でencode_mimewords風に。

use strict;
use base qw(Email::MIME::MobileJP::Creator);

sub header {
    my ($self, $k, $v) = @_;

    if (defined $v) {
        my $enc = $self->carrier->send_encoding or die "encoding is not found.";
        $v = Email::MIME::Encode::maybe_mime_encode_header($k, $v, $enc->name);
        utf8::downgrade($v);
        $self->mail->header_set($k, $v);
    } else {
        $self->carrier->mime_encoding->decode($self->mail->header_obj->header_raw($k));
    }
}

1;

__END__

=pod

=head1 NAME

Email::MIME::MobileJP::Creator::AltEnc - Email::MIME::MobileJP::Creator::from($k,$v)でencode_mimewords風に。

=head1 VERSION

version 0.132482

=head1 AUTHOR

Tomohiro Hosaka <bokutin@bokut.in>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2013 by Tomohiro Hosaka.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
